This service will be undergoing maintenance at 00:00 UTC, 2016-09-28. It is expected to last about 1 hours
Bug 370891 - long delay (50 seconds) while kernel boots
long delay (50 seconds) while kernel boots
Status: CLOSED WORKSFORME
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
8
i686 Linux
low Severity medium
: ---
: ---
Assigned To: Kernel Maintainer List
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-11-08 03:08 EST by Thomas Moschny
Modified: 2007-12-30 12:03 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-12-30 12:03:58 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Thomas Moschny 2007-11-08 03:08:33 EST
Description of problem:
There's a long delay when the kernel starts. Without 'quiet', kernel messages 
can be seen:

...
agpgart: Detected VIA KT400/KT400A/KT600 chipset
agpgart: AGP aperture is 128M @ 0xd8000000
Serial: 8250/16550 driver $Revision: 1.90 $ 4 ports, IRQ sharing enabled

--> HERE, nothing happens for about 50 seconds

Switched to high resolution mode on CPU 0
serial8250: ttyS0 at I/O 0x3f8 (irq = 4) is a 16550A
serial8250: ttyS1 at I/O 0x2f8 (irq = 3) is a 16550A
...

After that, system comes up normally.

Version-Release number of selected component:
kernel-2.6.23.1-42.fc8.i686

How reproducible:
Happens on every boot.

Additional info:
Mainboard: EPoX EP-8KRA-2+ with VIA KT600 chipset
CPU: AMD Athlon XP 2600+

The delay wasn't there with f7 and earlier kernels.
Comment 1 Chuck Ebbert 2007-11-08 13:36:20 EST
clocksource=acpi_pm

should fix this. See https://fedoraproject.org/wiki/KernelCommonProblems
Comment 2 Thomas Moschny 2007-11-09 15:28:25 EST
(In reply to comment #1)
> clocksource=acpi_pm
> 
> should fix this. See https://fedoraproject.org/wiki/KernelCommonProblems

This indeed eliminates the delay.

Are there any drawbacks changing the clocksource? The doc doesn't say whether 
there are e.g. differences in accuracy, and which one to chose best.
Comment 3 Jon Stanley 2007-12-30 01:18:46 EST
Seems per comment #2 that this is no longer an issue.  Please confirm...

Hello,

I'm reviewing this bug as part of the kernel bug triage project, an attempt to
isolate current bugs in the Fedora kernel.

http://fedoraproject.org/wiki/KernelBugTriage

I am CC'ing myself to this bug and will try and assist you in resolving it if I can.

There hasn't been much activity on this bug for a while. Could you tell me if
you are still having problems with the latest kernel?

If the problem no longer exists then please close this bug or I'll do so in a
few days if there is no additional information lodged.
Comment 4 Thomas Moschny 2007-12-30 12:03:58 EST
(In reply to comment #3)
> Seems per comment #2 that this is no longer an issue.  Please confirm...

The delay is still there with kernel-2.6.23.9-85.fc8.i686, but not when 
clocksource=acpi_pm is set. Didn't try other clocksources.

So, this bug can be closed.

However, such problems should probably be detected during installation and the 
kernel commandline be adjusted automatically.

Note You need to log in before you can comment on or make changes to this bug.